clear all
axis equal
[r,t]=meshgrid(-1:0.01:11, -1:0.01:8);
f=(-1)*((r-3).^2+(t-2).^2);

g1=r+t-10;
g2=t-5;
g3=-r;
g4=-t;

cla reset
axis equal
axis ([-1 11 -1 8]) 
xlabel('r'),ylabel('t') 
title('Exercise 4.76')
hold on

cv1=[0:0.05:0.8];
const1=contour(r,t,g1,cv1,'g');
cv1=[0 0.01];
const1=contour(r,t,g1,cv1,'k'); 

cv2=[0:0.05:0.8];
const2=contour(r,t,g2,cv2,'g');
cv2=[0 0.01];
const2=contour(r,t,g2,cv2,'k'); 

cv3=[0:0.03:0.3];
const3=contour(r,t,g3,cv3,'g');
cv3=[0 0.005];
const3=contour(r,t,g3,cv3,'k');

cv4=[0:0.03:0.3];
const4=contour(r,t,g4,cv4,'g');
cv4=[0 0.005];
const4=contour(r,t,g4,cv4,'k');

fv=[0 -1 -4 -9 -12.5 -13 -18 -53]; 
fs=contour(r,t,f,fv,'b');

a=[3 3 0 3 5.5 0 0 10 5];
b=[2 0 2  5 4.5 0 5 0 5];
plot(a,b,'.k');

grid
hold off 