clear all
[D,H]=meshgrid(-1:0.5:8 , -3:0.5:16);
f=400*((pi*D.^2.)/2+pi*D.*H);
h1=(pi*D.^2.*H)/4-150;
g1=H+D/2-10;
g2=-H;
g3=-D;

cla reset
axis ([-1 8 -3 16])
xlabel('D'),ylabel('H') 
title('Exercise 4.94')
hold on

cv0=[0:0.01:0.9];
const0=contour(D,H,h1,cv0,'k'); 

cv1=[0:0.05:1];
const1=contour(D,H,g1,cv1,'g');
cv1=[0 0.001];
const1=contour(D,H,g1,cv1,'k'); 

cv2=[0:0.05:1];
const2=contour(D,H,g2,cv2,'g');
cv2=[0 0.01];
const2=contour(D,H,g2,cv2,'k'); 

cv3=[0:0.03:0.5];
const3=contour(D,H,g3,cv3,'g');
cv3=[0 0.005];
const3=contour(D,H,g3,cv3,'k'); 

fv=[45000 62512.75 80000]; 
fs=contour(D,H,f,fv,'b');
a=[5.758823];
b=[5.758826];
plot(a,b,'.k');

grid
hold off 